#!/usr/bin/tclsh

# Very simple example - please run from within the "examples" directory

if { ! [file exists ../sxml_writer.tcl] } {
	puts stderr "Error: Please CD to the \"examples\" directory to run example!"
	exit 1
}

source ../sxml_writer.tcl

file delete test_2.xml

set x [sxml::writer::init example_1.xml]
if { $x < 0 } {
	puts stderr [sxml::writer::get_error $x]
	exit 1
}

set myfd $x

set x [sxml::writer::element $myfd "batch"]
if { $x < 0 } {
	puts stderr [sxml::writer::get_error $myfd]
	exit 2
}
set x [sxml::writer::data $myfd "Top object data"]
set x [sxml::writer::attribute $myfd version 2.1]
set x [sxml::writer::data $myfd " More tobj stuff"]

set x [sxml::writer::element $myfd "job"]
if { $x < 0 } {
	puts stderr [sxml::writer::get_error $myfd]
	exit 2
}

set x [sxml::writer::attribute $myfd name "Job Bloggs"]
set x [sxml::writer::attribute $myfd age 44]
if { $x < 0 } {
	puts stderr [sxml::writer::get_error $myfd]
	exit 3
}

set x [sxml::writer::pop_element $myfd]

set x [sxml::writer::element $myfd "job2"]
if { $x < 0 } {
	puts stderr [sxml::writer::get_error $myfd]
	exit 2
}
set x [sxml::writer::attribute $myfd name "Simon Edwards"]
set x [sxml::writer::attribute $myfd age 30]
set x [sxml::writer::data $myfd "This is my data"]

set x [sxml::writer::pop_element $myfd]
set x [sxml::writer::data $myfd "\nJustin \"Ethan\" luke"]
set x [sxml::writer::finalize $myfd]
if { $x < 0 } {
	puts stderr [sxml::writer::get_error $myfd]
	exit 2
}

exit 0

